Delegations
All operations require authentication.
List full access permissionsProduction
List full access permissions. Returns the IDs of the accounts that have full access to the email account.
Path parameters
Default email for this mailbox
The internal name of your mxplan organization
Response
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email}/ fullAccess \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a full access permissionProduction
Get a full access permission. Returns the ID of the account that has full access to the email account, and the creation date of the permission.
Path parameters
Account id to give full access
Default email for this mailbox
The internal name of your mxplan organization
Response
Account id to give full access
Creation date
Pending task id
Example uses allowedAccountId = 0, email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email}/ fullAccess/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}
Add a full access permissionProduction
Add a full access permission. Gives the account allowedAccountId full access to the email account, and returns the task.
Path parameters
Default email for this mailbox
The internal name of your mxplan organization
Request body (required)
User to give full access
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email}/ fullAccess \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Remove a full access permissionProduction
Remove a full access permission. Withdraws the access of the allowed account to the mailbox of this email account, and returns the task.
Path parameters
Account id to give full access
Default email for this mailbox
The internal name of your mxplan organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses allowedAccountId = 0, email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email}/ fullAccess/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
List send as permissionsProduction
List send as permissions. Returns the IDs of the accounts allowed to send emails as the email account.
Path parameters
Default email for this mailbox
The internal name of your mxplan organization
Response
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email}/ sendAs \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a send as permissionProduction
Get a send as permission. Returns the ID of the account allowed to send emails as the email account, and the creation date of the permission.
Path parameters
Account id to give send as
Default email for this mailbox
The internal name of your mxplan organization
Response
Account id to give send as
Creation date
Pending task id
Example uses allowedAccountId = 0, email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email}/ sendAs/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}
Add a send as permissionProduction
Add a send as permission. Allows the account allowAccountId to send emails as the email account, and returns the task.
Path parameters
Default email for this mailbox
The internal name of your mxplan organization
Request body (required)
Account id to allow to send mails from this mailbox
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email}/ sendAs \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Remove a send as permissionProduction
Remove a send as permission. Withdraws the right of the allowed account to send emails as this email account, and returns the task.
Path parameters
Account id to give send as
Default email for this mailbox
The internal name of your mxplan organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses allowedAccountId = 0, email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email}/ sendAs/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
List send on behalf permissionsProduction
List send on behalf permissions. Returns the IDs of the accounts allowed to send emails on behalf of the email account.
Path parameters
Default email for this mailbox
The internal name of your mxplan organization
Response
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email}/ sendOnBehalfTo \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a send on behalf permissionProduction
Get a send on behalf permission. Returns the ID of the account allowed to send emails on behalf of the email account, and the creation date of the permission.
Path parameters
Account id to give send on behalf to
Default email for this mailbox
The internal name of your mxplan organization
Response
Account id to give send on behalf to
Creation date
Pending task id
Example uses allowedAccountId = 0, email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email}/ sendOnBehalfTo/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}
Add a send on behalf permissionProduction
Add a send on behalf permission. Allows the account allowAccountId to send emails on behalf of the email account, and returns the task.
Path parameters
Default email for this mailbox
The internal name of your mxplan organization
Request body (required)
Account id to allow to send On Behalf To mails from this mailbox
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email}/ sendOnBehalfTo \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Remove a send on behalf permissionProduction
Remove a send on behalf permission. Withdraws the right of the allowed account to send emails on behalf of this email account, and returns the task.
Path parameters
Account id to give send on behalf to
Default email for this mailbox
The internal name of your mxplan organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses allowedAccountId = 0, email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email}/ sendOnBehalfTo/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}